import { ref } from 'vue'
import PageModal from '@/components/page-modal'

export function usePageModal(newCb, editCb) {
  const pageModalRef = ref(PageModal)
  const defaultInfo = ref({})
  const searchInfo = ref({})
  const handleNewData = (query) => {
    defaultInfo.value = {}
    if (pageModalRef.value) {
      pageModalRef.value.dialogVisible = true

      if (query && query.pageInfo) pageModalRef.value.pageInfo =  query.pageInfo
    }
    newCb && newCb()
  }
  const handleEditData = (item, query) => {
    console.log(item, 'item2')
    defaultInfo.value = { ...item }
    if (pageModalRef.value) {
      pageModalRef.value.dialogVisible = true

      if (query && query.pageInfo) pageModalRef.value.pageInfo =  query.pageInfo
    }
    editCb && editCb(item)
  }
  const handleSearchInfo = (e) => {
    searchInfo.value = e
    console.log("搜索",searchInfo.value)
  }
  return [pageModalRef, defaultInfo, handleNewData, handleEditData,handleSearchInfo,searchInfo]
}
